body, html {
	margin: 0px;
	padding: 0px;
}

body {
	font-family: 'Cinzel', serif;
	background-color: #493d2d;
	color: #fff;
	background-image: url('./images/main/sprite_imperial_ruin.jpg');
	background-size: cover;
	background-position: center center;
	background-attachment: fixed;
}

a, a:link, a:visited {
    text-decoration: none;
    color: #eee;
}

a:hover, a:active, a:focus {
	color: #918f68;
}

main.generator-container {
    text-align: center;
    padding: 10%;
	flex: 1;
}

#name-form {
    width: 50%;
    margin: auto;
    min-width: 550px;
    background: rgb(0 0 0 / 74%);
    padding: 60px 60px 100px 60px;
}

button {
	background: #000;
	border: none;
	padding: 18px;
	font-size: 24px;
	color:#eee;
	display: block;
	margin: 20px auto;
	border-radius: 8px;
}

button:hover, button:focus, button:active {
	color: #F44336;
	transition: 0.5s;
	cursor: pointer;
}

input[type="radio"] {
	appearance: none;
	-webkit-appearance: none;
	background-color: #1c1c1c;
	border: 2px solid #ccc;
	border-radius: 50%;
	width: 18px;
	height: 18px;
	margin: 0 6px 0 0;
	position: relative;
	cursor: pointer;
	transition: 0.2s;
	box-shadow: 0 0 4px rgba(255, 255, 255, 0.2);
	margin-left: 30px;
}

input[type="radio"]:checked::before {
	content: "";
	position: absolute;
	top: 4px;
	left: 4px;
	width: 8px;
	height: 8px;
	border-radius: 50%;
	background-color: #f0e68c; /* np. złoty blask */
	box-shadow: 0 0 3px 1px rgba(255, 255, 160, 0.8);
}

input[type="radio"]:hover {
  border-color: #f0e68c;
  box-shadow: 0 0 6px rgba(240, 230, 140, 0.4);
}

select {
	background-color: #1c1c1c;
	color: #f0e68c;
	padding: 10px;
	font-size: 16px;
	border: 2px solid #f0e68c;
	border-radius: 5px;
	appearance: none;
	background-image: url('icons/dunmer.png');
	background-repeat: no-repeat;
	background-position: right center;
	background-size: 32px 32px;
	text-align: center;
	margin: 20px;
}

/* dodatkowo dla estetyki, np. hover/focus */
select:hover, select:focus {
	border-color: #ffdf80;
	box-shadow: 0 0 5px rgba(240, 230, 140, 0.6);
}

#f_race {
	background-image: url(https://images.uesp.net/thumb/8/86/ON-icon-Dunmer.png/200px-ON-icon-Dunmer.png);
	background-size: 80px 80px;
	background-position: 5% 20%;
	background-repeat: no-repeat;
}


/* Stopka */
.site-footer {
  background-color: rgba(0, 0, 0, 0.7);
  color: #ccc;
  text-align: center;
  padding: 10px 0;
  font-size: 0.9rem;
  border-top: 1px solid rgba(255,255,255,0.1);
}

.footer_inner > ul > li {
	display: inline-flex;
	padding: 20px;
	border-right: 1px solid #eee;
    margin-right: -5px;
	flex-direction: column;
	flex-wrap: nowrap;
	align-content: stretch;
	justify-content: space-around;
}

body > footer > div > ul > li:nth-child(1) {
	border-left: 1px solid #eee;
}


.footer_inner > ul > li > a {
}

.error_quote {
	margin-top: 2rem;
	color: #ccc;
	text-align: center;
	font-style: italic;
	opacity: 0.85;
}